## entangle-script-config

entangle-script-config

## Functions

EntangleScriptConfig * | entangle_script_config_new ()
void | entangle_script_config_add_script ()
void | entangle_script_config_remove_script ()
gboolean | entangle_script_config_has_scripts ()
EntangleScript * | entangle_script_config_get_selected ()

## Types and Values

#define | ENTANGLE_TYPE_SCRIPT_CONFIG
| EntangleScriptConfig

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EntangleScriptConfig

## Implemented Interfaces

EntangleScriptConfig implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### entangle_script_config_new ()

    EntangleScriptConfig *
    entangle_script_config_new (void);

### entangle_script_config_add_script ()

    void
    entangle_script_config_add_script (EntangleScriptConfig *config,
                                       EntangleScript *script);

### entangle_script_config_remove_script ()

    void
    entangle_script_config_remove_script (EntangleScriptConfig *config,
                                          EntangleScript *script);

### entangle_script_config_has_scripts ()

    gboolean
    entangle_script_config_has_scripts (EntangleScriptConfig *config);

### entangle_script_config_get_selected ()

    EntangleScript *
    entangle_script_config_get_selected (EntangleScriptConfig *config);

Retrieve the script that the config is displayed for

#### Parameters

config | the config widget. | [transfer none]

#### Returns

the script displayed.

[transfer none]

## Types and Values

### ENTANGLE_TYPE_SCRIPT_CONFIG

    #define ENTANGLE_TYPE_SCRIPT_CONFIG (entangle_script_config_get_type())

### EntangleScriptConfig

    typedef struct _EntangleScriptConfig EntangleScriptConfig;